Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157354 - Creating a meeting crashes evolution
Summary: Creating a meeting crashes evolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 20:52 UTC by Edward Rousseau
Modified: 2015-04-12 23:17 UTC (History)
1 user (show)

Fixed In Version: evolution-1.4.5-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-12 17:08:15 UTC


Attachments (Terms of Use)
meeting Creation Backtrace (deleted)
2005-05-10 20:52 UTC, Edward Rousseau
no flags Details
bt with debuginfo (deleted)
2005-05-10 21:44 UTC, Edward Rousseau
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:238 normal SHIPPED_LIVE Low: evolution security update 2005-05-19 04:00:00 UTC

Description Edward Rousseau 2005-05-10 20:52:39 UTC
Description of problem:
RHEL 3 U5 re0428.0
Saving a created meeting csuses evolution to crash.

Version-Release number of selected component (if applicable):
evolution-1.4.5-12

How reproducible:
Always

Steps to Reproduce:
1. Create a meeting. Invite a person.
2. Save created meeting.
3.
  
Actual results:
Boom. Evolution crashes.

Expected results:
Meeting appears on calendar.

Additional info: Backtrace attached.

Comment 1 Edward Rousseau 2005-05-10 20:52:39 UTC
Created attachment 114227 [details]
meeting Creation Backtrace

Comment 2 Edward Rousseau 2005-05-10 21:44:43 UTC
Created attachment 114230 [details]
bt with debuginfo

Comment 3 Dave Malcolm 2005-05-11 03:22:31 UTC
const char* icalproperty_enum_to_string(int e)
{
    icalerror_check_arg_rz(e >= ICALPROPERTY_FIRST_ENUM,"e");
    icalerror_check_arg_rz(e <= ICALPROPERTY_LAST_ENUM,"e");

    return enum_map[e-ICALPROPERTY_FIRST_ENUM].str;
}

ICALPROPERTY_FIRST_ENUM is 10000, passing in 10000 causes a simple crash.

Crash is in final line, doing array lookup.

If I'm reading it right, here's the disassembly of that line (the calculation of
enum_map looks to be entirely bogus to me):
0x0000002a95d6e7e8 <icalproperty_enum_to_string+24>:	movslq %edi,%rax
0x0000002a95d6e7eb <icalproperty_enum_to_string+27>:	shl    $0x4,%rax
0x0000002a95d6e7ef <icalproperty_enum_to_string+31>:	add    1342130(%rip),%rax 
      # 0x2a95eb62a8 <name.0+1000>
0x0000002a95d6e7f6 <icalproperty_enum_to_string+38>:	mov   
0xfffffffffffd8f08(%rax),%rax
0x0000002a95d6e7fd <icalproperty_enum_to_string+45>:	add    $0x8,%rsp
0x0000002a95d6e801 <icalproperty_enum_to_string+49>:	retq   

The code above seems to premultiply the offset of the desired element in the
enum_map array from the start of the array into rax, then tries to get at the
actual location of that element of enum_map.  My assembler is fairly rusty, but
the latter part of the calculation looks entirely bogus to me.  Any assembler
gurus out there?  Or am I being dumb, and have missed something obvious?

enum_map gets declared with "extern" and then defined later on with "static". 
This is a bug, and I think this ios causing this particular bug, and that with
somewhere between the compiler and linker this bug is now manifesting.  Am
experimentally rebuilding with a patch that sets enum_map to be consistently of
linkage class "static"



Comment 5 Dave Malcolm 2005-05-11 17:30:53 UTC
Successfully reproduced the crash on shalashaska with evolution-1.4.5-12.x86_64



Comment 6 Dave Malcolm 2005-05-11 17:57:16 UTC
Verified that it works on shalashaska with evolution-1.4.5-14.x86_64

Comment 7 Dave Malcolm 2005-05-11 19:04:52 UTC
Debugging with evolution-1.4.5-12.x86_64, having got the crash to occur:
(gdb) info registers 
rax            0x271d0	160208
rbx            0x0	0
rcx            0x4	4
rdx            0x2a95da0abc	182902721212
rsi            0x2a95d9e0ec	182902710508
rdi            0x271d	10013
rbp            0x13a3	0x13a3
rsp            0x7fbfff8cd0	0x7fbfff8cd0
r8             0xfefefefefefefeff	-72340172838076673
r9             0xffffffff00000000	-4294967296
r10            0x2a95eb49f8	182903851512
r11            0x2a95d6e7d0	182902515664
r12            0xc8ee60	13168224
r13            0xc8f750	13170512
r14            0x13a3	5027
r15            0x2a95d9bfad	182902701997
rip            0x2a95d6e7f6	0x2a95d6e7f6 <icalproperty_enum_to_string+38>
eflags         0x10202	66050
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
(gdb) info address enum_map
Symbol "enum_map" is static storage at address 0x2a95eaac20.
(gdb) p $pc
$1 = (void (*)()) 0x2a95d6e7f6 <icalproperty_enum_to_string+38>
(gdb) disassemble $pc
Dump of assembler code for function icalproperty_enum_to_string:
0x0000002a95d6e7d0 <icalproperty_enum_to_string+0>:	sub    $0x8,%rsp
0x0000002a95d6e7d4 <icalproperty_enum_to_string+4>:	cmp    $0x270f,%edi
0x0000002a95d6e7da <icalproperty_enum_to_string+10>:	jle    0x2a95d6e883
<icalproperty_enum_to_string+179>
0x0000002a95d6e7e0 <icalproperty_enum_to_string+16>:	cmp    $0x273a,%edi
0x0000002a95d6e7e6 <icalproperty_enum_to_string+22>:	jg     0x2a95d6e802
<icalproperty_enum_to_string+50>
0x0000002a95d6e7e8 <icalproperty_enum_to_string+24>:	movslq %edi,%rax
0x0000002a95d6e7eb <icalproperty_enum_to_string+27>:	shl    $0x4,%rax
0x0000002a95d6e7ef <icalproperty_enum_to_string+31>:	add    1342130(%rip),%rax 
      # 0x2a95eb62a8 <name.0+1000>
0x0000002a95d6e7f6 <icalproperty_enum_to_string+38>:	mov   
0xfffffffffffd8f08(%rax),%rax
0x0000002a95d6e7fd <icalproperty_enum_to_string+45>:	add    $0x8,%rsp
0x0000002a95d6e801 <icalproperty_enum_to_string+49>:	retq   
0x0000002a95d6e802 <icalproperty_enum_to_string+50>:	mov    1340791(%rip),%rax 
      # 0x2a95eb5d80
0x0000002a95d6e809 <icalproperty_enum_to_string+57>:	xor    %edi,%edi
0x0000002a95d6e80b <icalproperty_enum_to_string+59>:	movl   $0x0,(%rax)
0x0000002a95d6e811 <icalproperty_enum_to_string+65>:	callq  0x2a95d67418
0x0000002a95d6e816 <icalproperty_enum_to_string+70>:	test   %eax,%eax
0x0000002a95d6e818 <icalproperty_enum_to_string+72>:	je     0x2a95d6e836
<icalproperty_enum_to_string+102>
0x0000002a95d6e81a <icalproperty_enum_to_string+74>:	xor    %edi,%edi
0x0000002a95d6e81c <icalproperty_enum_to_string+76>:	callq  0x2a95d67418
0x0000002a95d6e821 <icalproperty_enum_to_string+81>:	cmp    $0x2,%eax
0x0000002a95d6e824 <icalproperty_enum_to_string+84>:	je     0x2a95d6e82a
<icalproperty_enum_to_string+90>
0x0000002a95d6e826 <icalproperty_enum_to_string+86>:	xor    %eax,%eax
0x0000002a95d6e828 <icalproperty_enum_to_string+88>:	jmp    0x2a95d6e7fd
<icalproperty_enum_to_string+45>
0x0000002a95d6e82a <icalproperty_enum_to_string+90>:	mov    1340799(%rip),%rax 
      # 0x2a95eb5db0
0x0000002a95d6e831 <icalproperty_enum_to_string+97>:	cmpl   $0x1,(%rax)
0x0000002a95d6e834 <icalproperty_enum_to_string+100>:	jne    0x2a95d6e826
<icalproperty_enum_to_string+86>
0x0000002a95d6e836 <icalproperty_enum_to_string+102>:	xor    %edi,%edi
0x0000002a95d6e838 <icalproperty_enum_to_string+104>:	callq  0x2a95d68328
0x0000002a95d6e83d <icalproperty_enum_to_string+109>:	mov    $0x94,%ecx
0x0000002a95d6e842 <icalproperty_enum_to_string+114>:	lea    185839(%rip),%rdx 
      # 0x2a95d9be38
0x0000002a95d6e849 <icalproperty_enum_to_string+121>:	mov    %rax,%r8
0x0000002a95d6e84c <icalproperty_enum_to_string+124>:	mov    1340637(%rip),%rax
       # 0x2a95eb5d30
0x0000002a95d6e853 <icalproperty_enum_to_string+131>:	lea    183168(%rip),%rsi 
      # 0x2a95d9b3da
0x0000002a95d6e85a <icalproperty_enum_to_string+138>:	mov    (%rax),%rdi
0x0000002a95d6e85d <icalproperty_enum_to_string+141>:	xor    %eax,%eax
0x0000002a95d6e85f <icalproperty_enum_to_string+143>:	callq  0x2a95d67fd8
0x0000002a95d6e864 <icalproperty_enum_to_string+148>:	lea    185827(%rip),%rcx 
      # 0x2a95d9be4e
0x0000002a95d6e86b <icalproperty_enum_to_string+155>:	mov    $0x94,%edx
0x0000002a95d6e870 <icalproperty_enum_to_string+160>:	lea    185793(%rip),%rsi 
      # 0x2a95d9be38
0x0000002a95d6e877 <icalproperty_enum_to_string+167>:	lea    209780(%rip),%rdi 
      # 0x2a95da1bf2 <yycheck+1554>
0x0000002a95d6e87e <icalproperty_enum_to_string+174>:	callq  0x2a95d68848
0x0000002a95d6e883 <icalproperty_enum_to_string+179>:	mov    1340662(%rip),%rax
       # 0x2a95eb5d80
0x0000002a95d6e88a <icalproperty_enum_to_string+186>:	xor    %edi,%edi
0x0000002a95d6e88c <icalproperty_enum_to_string+188>:	movl   $0x0,(%rax)
0x0000002a95d6e892 <icalproperty_enum_to_string+194>:	callq  0x2a95d67418
0x0000002a95d6e897 <icalproperty_enum_to_string+199>:	test   %eax,%eax
0x0000002a95d6e899 <icalproperty_enum_to_string+201>:	je     0x2a95d6e8bb
<icalproperty_enum_to_string+235>
0x0000002a95d6e89b <icalproperty_enum_to_string+203>:	xor    %edi,%edi
0x0000002a95d6e89d <icalproperty_enum_to_string+205>:	callq  0x2a95d67418
0x0000002a95d6e8a2 <icalproperty_enum_to_string+210>:	cmp    $0x2,%eax
0x0000002a95d6e8a5 <icalproperty_enum_to_string+213>:	jne    0x2a95d6e826
<icalproperty_enum_to_string+86>
0x0000002a95d6e8ab <icalproperty_enum_to_string+219>:	mov    1340670(%rip),%rax
       # 0x2a95eb5db0
0x0000002a95d6e8b2 <icalproperty_enum_to_string+226>:	cmpl   $0x1,(%rax)
0x0000002a95d6e8b5 <icalproperty_enum_to_string+229>:	jne    0x2a95d6e826
<icalproperty_enum_to_string+86>
0x0000002a95d6e8bb <icalproperty_enum_to_string+235>:	xor    %edi,%edi
0x0000002a95d6e8bd <icalproperty_enum_to_string+237>:	callq  0x2a95d68328
0x0000002a95d6e8c2 <icalproperty_enum_to_string+242>:	mov    $0x93,%ecx
0x0000002a95d6e8c7 <icalproperty_enum_to_string+247>:	lea    185706(%rip),%rdx 
      # 0x2a95d9be38
0x0000002a95d6e8ce <icalproperty_enum_to_string+254>:	mov    %rax,%r8
0x0000002a95d6e8d1 <icalproperty_enum_to_string+257>:	mov    1340504(%rip),%rax
       # 0x2a95eb5d30
0x0000002a95d6e8d8 <icalproperty_enum_to_string+264>:	lea    183035(%rip),%rsi 
      # 0x2a95d9b3da
0x0000002a95d6e8df <icalproperty_enum_to_string+271>:	mov    (%rax),%rdi
0x0000002a95d6e8e2 <icalproperty_enum_to_string+274>:	xor    %eax,%eax
0x0000002a95d6e8e4 <icalproperty_enum_to_string+276>:	callq  0x2a95d67fd8
0x0000002a95d6e8e9 <icalproperty_enum_to_string+281>:	lea    185694(%rip),%rcx 
      # 0x2a95d9be4e
0x0000002a95d6e8f0 <icalproperty_enum_to_string+288>:	mov    $0x93,%edx
0x0000002a95d6e8f5 <icalproperty_enum_to_string+293>:	jmpq   0x2a95d6e870
<icalproperty_enum_to_string+160>
End of assembler dump.

Comment 8 Dave Malcolm 2005-05-11 19:34:50 UTC
(gdb) info shared
From                To                  Syms Read   Shared Object Library
0x0000002a95686f00  0x0000002a956a0fa8  Yes        
/usr/lib64/evolution/1.4/libeshell.so.0
0x0000002a957bb580  0x0000002a957be458  Yes        
/usr/lib64/evolution/1.4/libevolution-importer.so.0
0x0000002a958c3fc0  0x0000002a958c5148  Yes        
/usr/lib64/evolution/1.4/libetimezonedialog.so.0
0x0000002a959d2c40  0x0000002a959ea088  Yes        
/usr/lib64/evolution/1.4/libemiscwidgets.so.0
0x0000002a95b00100  0x0000002a95b11968  Yes        
/usr/lib64/evolution/1.4/libeutil.so.0
0x0000002a95c3aec0  0x0000002a95c4b368  Yes         /usr/lib64/libsoup-2.0.so.0
0x0000002a95d69340  0x0000002a95d9b3a8  Yes        
/usr/lib64/evolution/1.4/libical-evolution.so.0
0x0000002a95eddec0  0x0000002a95f3a8d8  Yes         /usr/lib64/libgtkhtml-3.0.so.2
0x0000002a96064d40  0x0000002a96068228  Yes        
/usr/lib64/libgtkhtml-a11y-3.0.so.2
0x0000002a9618c300  0x0000002a961d3df8  Yes         /usr/lib64/libgnomeui-2.so.0
0x0000002a96305b00  0x0000002a96309db8  Yes         /usr/X11R6/lib64/libSM.so.6
0x0000002a96411b80  0x0000002a9641e4e8  Yes         /usr/X11R6/lib64/libICE.so.6
0x0000002a96531a00  0x0000002a96542ec8  Yes        
/usr/lib64/libgnomeprintui-2-2.so.0
0x0000002a96680740  0x0000002a9670eaa8  Yes         /usr/lib64/libgal-2.0.so.5
0x0000002a9684b9c0  0x0000002a9684c848  Yes         /usr/lib64/libgal-a11y-2.0.so.5
0x0000002a9696c5c0  0x0000002a969a2b78  Yes         /usr/lib64/libbonoboui-2.so.0
0x0000002a96ac64c0  0x0000002a96ad00f8  Yes         /usr/lib64/libgnome-2.so.0
0x0000002a96bfc780  0x0000002a96c248b8  Yes         /usr/lib64/libbonobo-2.so.0
0x0000002a96d54880  0x0000002a96d711e8  Yes         /usr/lib64/libgconf-2.so.4
0x0000002a96e8f900  0x0000002a96eb0618  Yes         /usr/lib64/libgnomevfs-2.so.0
0x0000002a96fc9980  0x0000002a96fd0878  Yes        
/usr/lib64/libbonobo-activation.so.4
0x0000002a970f4300  0x0000002a9710cf18  Yes         /usr/lib64/libORBit-2.so.0
0x0000002a9722c1c0  0x0000002a9722efe8  Yes         /usr/lib64/liblinc.so.1
0x0000002a97334c40  0x0000002a97335f78  Yes         /usr/lib64/libgthread-2.0.so.0
0x0000002a97442f80  0x0000002a9745def8  Yes         /usr/lib64/libgnomecanvas-2.so.0
0x0000002a9756e180  0x0000002a97585d58  Yes         /usr/lib64/libpangoft2-1.0.so.0
0x0000002a97695d80  0x0000002a9769f298  Yes         /usr/lib64/libglade-2.0.so.0
0x0000002a977b56c0  0x0000002a977f1668  Yes        
/usr/lib64/libgnomeprint-2-2.so.0
0x0000002a97d3f340  0x0000002a97e9df38  Yes         /usr/lib64/libgtk-x11-2.0.so.0
0x0000002a98077bc0  0x0000002a980b7cb8  Yes         /usr/lib64/libgdk-x11-2.0.so.0
0x0000002a981e06c0  0x0000002a981eb978  Yes         /usr/lib64/libatk-1.0.so.0
0x0000002a982f8a80  0x0000002a98303848  Yes        
/usr/lib64/libgdk_pixbuf-2.0.so.0
0x0000002a9840f6c0  0x0000002a98427018  Yes         /usr/lib64/libpangoxft-1.0.so.0
0x0000002a98532600  0x0000002a985383a8  Yes         /usr/lib64/libpangox-1.0.so.0
0x0000002a9863e100  0x0000002a9864e808  Yes         /usr/lib64/libart_lgpl_2.so.2
0x0000002a9878e380  0x0000002a98827848  Yes         /usr/lib64/libxml2.so.2
0x0000002a98971180  0x0000002a98978688  Yes         /lib64/tls/libpthread.so.0
0x0000002a98a824c0  0x0000002a98a89dc8  Yes         /usr/lib64/libz.so.1
0x0000002a98b93040  0x0000002a98bd59b8  Yes         /lib64/tls/libm.so.6
0x0000002a98d26ec0  0x0000002a98d3a8e8  Yes         /usr/lib64/libpango-1.0.so.0
0x0000002a98e5c2c0  0x0000002a98e7d218  Yes         /usr/lib64/libgobject-2.0.so.0
0x0000002a98f8f480  0x0000002a98f90428  Yes         /usr/lib64/libgmodule-2.0.so.0
0x0000002a990923c0  0x0000002a99093058  Yes         /lib64/libdl.so.2
0x0000002a991a3980  0x0000002a991d7c48  Yes         /usr/lib64/libglib-2.0.so.0
0x0000002a99322fc0  0x0000002a9940df14  Yes         /lib64/tls/libc.so.6
0x0000002a9954bd80  0x0000002a99550108  Yes         /usr/lib64/libpopt.so.0
0x0000002a99655f80  0x0000002a996596f8  Yes         /usr/lib64/libgailutil.so.17
0x0000002a9975e800  0x0000002a99774b88  Yes         /usr/lib64/libjpeg.so.62
0x0000002a9987f940  0x0000002a99882bd8  Yes         /usr/lib64/libesd.so.0
0x0000002a999924c0  0x0000002a999a51c8  Yes         /usr/lib64/libaudiofile.so.0
0x0000002a99ab2fc0  0x0000002a99ab3c08  Yes        
/usr/lib64/libORBitCosNaming-2.so.0
0x0000002a99bc53c0  0x0000002a99be3508  Yes         /lib64/libssl.so.4
0x0000002a99d3e580  0x0000002a99dc78f8  Yes         /lib64/libcrypto.so.4
0x0000002a99f2a740  0x0000002a99f35e08  Yes        
/usr/kerberos/lib64/libgssapi_krb5.so.2
0x0000002a9a051d40  0x0000002a9a091c68  Yes         /usr/kerberos/lib64/libkrb5.so.3
0x0000002a9a1a4d80  0x0000002a9a1a52c8  Yes        
/usr/kerberos/lib64/libcom_err.so.3
0x0000002a9a2a9d00  0x0000002a9a2b4528  Yes        
/usr/kerberos/lib64/libk5crypto.so.3
0x0000002a9a3bef80  0x0000002a9a3c8e18  Yes         /lib64/libresolv.so.2
0x0000002a9a4d1a40  0x0000002a9a4d6da8  Yes         /lib64/tls/librt.so.1
0x0000002a9a5fa240  0x0000002a9a60b448  Yes         /usr/lib64/libfontconfig.so.1
0x0000002a9a72cd40  0x0000002a9a766a78  Yes         /usr/lib64/libfreetype.so.6
0x0000002a9a896380  0x0000002a9a9009a8  Yes         /usr/X11R6/lib64/libX11.so.6
0x0000002a9aa72240  0x0000002a9aa735d8  Yes         /usr/X11R6/lib64/libXrandr.so.2
0x0000002a9ab75a40  0x0000002a9ab7ac08  Yes         /usr/X11R6/lib64/libXi.so.6
0x0000002a9ac7f800  0x0000002a9ac89798  Yes         /usr/X11R6/lib64/libXext.so.6
0x0000002a9ad92fc0  0x0000002a9ad9e378  Yes         /usr/X11R6/lib64/libXft.so.2
0x0000002a9aea3b80  0x0000002a9aea8fc8  Yes         /usr/X11R6/lib64/libXrender.so.1
0x0000002a95556f80  0x0000002a95566e87  Yes         /lib64/ld-linux-x86-64.so.2
0x0000002a9afaec00  0x0000002a9afc2d98  Yes         /usr/lib64/libexpat.so.0
0x0000002a9b0d2580  0x0000002a9b0da4f8  Yes         /lib64/libnss_files.so.2
0x0000002a9d085a00  0x0000002a9d085b78  Yes        
/usr/X11R6/lib/X11/locale/lib64/common/xlcUTF8Load.so.2
0x0000002a9d19f400  0x0000002a9d1a13b8  Yes         /lib64/libnss_dns.so.2
0x0000002a9d2a52c0  0x0000002a9d2a97d8  Yes         /usr/X11R6/lib64/libXcursor.so.1
0x0000002a9d3add00  0x0000002a9d3af1b8  Yes        
/usr/lib64/gtk-2.0/2.2.0/loaders/libpixbufloader-png.so
0x0000002a9d4b7900  0x0000002a9d4cde38  Yes         /usr/lib64/libpng12.so.0
0x0000002a9d5d75c0  0x0000002a9d5df898  Yes        
/usr/lib64/gtk-2.0/2.2.0/engines/libbluecurve.so
0x0000002a9d6e2880  0x0000002a9d6e32c8  Yes         /usr/lib64/gconv/ISO8859-1.so
0x0000002a9d7e59c0  0x0000002a9d7e8748  Yes        
/usr/lib64/gtk-2.0/2.2.0/loaders/libpixbufloader-gif.so
0x0000002a9da34b40  0x0000002a9da9a008  Yes        
/usr/lib64/evolution/1.4/components/libevolution-mail.so
0x0000002a9dbe9100  0x0000002a9dc3a388  Yes        
/usr/lib64/evolution/1.4/libcamel.so.0
0x0000002a9dd6de80  0x0000002a9dd85d48  Yes        
/usr/lib64/evolution/1.4/libebook.so.0
0x0000002a9de94e80  0x0000002a9de95f48  Yes        
/usr/lib64/evolution/1.4/libmenus.so.0
0x0000002a9df9ac80  0x0000002a9df9eb58  Yes        
/usr/lib64/evolution/1.4/libversit.so.0
0x0000002a9e0a6180  0x0000002a9e0a9628  Yes        
/usr/lib64/evolution/1.4/libename.so.0
0x0000002a9e1b0e00  0x0000002a9e1b2108  Yes        
/usr/lib64/gtk-2.0/2.2.0/loaders/libpixbufloader-xpm.so
0x0000002a9e2dd200  0x0000002a9e31dea8  Yes        
/usr/lib64/evolution/1.4/components/libevolution-addressbook.so
0x0000002a9e447e80  0x0000002a9e461bb8  Yes         /usr/lib64/libldap.so.2
0x0000002a9e56eb00  0x0000002a9e5747b8  Yes         /usr/lib64/liblber.so.2
0x0000002a9e67c340  0x0000002a9e6870f8  Yes         /lib64/libnsl.so.1
0x0000002a9e791480  0x0000002a9e7982e8  Yes         /usr/lib64/libsasl.so.7
0x0000002a9e89cd00  0x0000002a9e8a0038  Yes         /usr/lib64/libgdbm.so.2
0x0000002a9e9a2d80  0x0000002a9e9a5448  Yes         /lib64/libcrypt.so.1
0x0000002a9ead7240  0x0000002a9eadafb8  Yes         /lib64/libpam.so.0
0x0000002a9ebdf200  0x0000002a9ebdfde8  Yes         /lib64/liblaus.so.1
0x0000002a9ed12d80  0x0000002a9ed7b678  Yes        
/usr/lib64/evolution/1.4/components/libevolution-calendar.so
0x0000002a9eeb4580  0x0000002a9eec0e08  Yes        
/usr/lib64/evolution/1.4/libcal-client.so.0
0x0000002a9efd4cc0  0x0000002a9efe6bc8  Yes        
/usr/lib64/evolution/1.4/libcal-util.so.0
0x0000002a9f0eee00  0x0000002a9f0efce8  Yes        
/usr/lib64/evolution/1.4/libwombat.so.0
0x0000002a9f1ff780  0x0000002a9f20d498  Yes        
/usr/lib64/evolution/1.4/components/libevolution-executive-summary.so
0x0000002a9f501100  0x0000002a9f5016f8  Yes        
/usr/lib64/evolution/1.4/evolution-mail-importers/liboutlook.so
0x0000002a9f6036c0  0x0000002a9f603d28  Yes        
/usr/lib64/evolution/1.4/evolution-mail-importers/libmbox.so
0x0000002a9f70bd40  0x0000002a9f7178a8  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamellocal.so
0x0000002a9f81e900  0x0000002a9f81fb18  Yes        
/usr/lib64/evolution/1.4/evolution-mail-importers/libevolution-pine-importer.so
0x0000002a9f92d240  0x0000002a9f93eac8  Yes        
/usr/lib64/evolution/1.4/evolution-mail-importers/libevolution-netscape-importer.so
0x0000002a9fa4a740  0x0000002a9fa4b688  Yes        
/usr/lib64/evolution/1.4/evolution-mail-importers/libevolution-elm-importer.so
0x0000002a9fd03980  0x0000002a9fd05868  Yes        
/usr/lib64/libglade/2.0/libgnome.so
0x0000002a9fe09d40  0x0000002a9fe0a738  Yes        
/usr/lib64/libglade/2.0/libbonobo.so
0x0000002a9ff0cf80  0x0000002a9ff0d538  Yes        
/usr/lib64/pango/1.2.0/modules/pango-basic-xft.so
0x0000002aa0011980  0x0000002aa0015008  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamelpop3.so
0x0000002aa01187c0  0x0000002aa0118ee8  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamelsendmail.so
0x0000002aa0223500  0x0000002aa0233ae8  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamelimap.so
0x0000002aa033bbc0  0x0000002aa033e878  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamelsmtp.so
0x0000002aa0446140  0x0000002aa044b5a8  Yes        
/usr/lib64/evolution/1.4/camel-providers/libcamelexchange.so
0x0000002aa06a2240  0x0000002aa06a3278  Yes        
/usr/lib64/evolution/1.4/evolution-calendar-importers/libevolution-calendar-importers.so
0x0000002aa07ab7c0  0x0000002aa07b1208  Yes        
/usr/lib64/evolution/1.4/libicalvcal-evolution.so.0

Comment 9 Dave Malcolm 2005-05-11 19:46:44 UTC
cat /proc/3187/maps | grep ical-evolution
0000002a95d53000-0000002a95daa000 r-xp 0000000000000000 08:02 81984     
/usr/lib64/evolution/1.4/libical-evolution.so.0.0.0
0000002a95daa000-0000002a95eaa000 ---p 0000000000057000 08:02 81984     
/usr/lib64/evolution/1.4/libical-evolution.so.0.0.0
0000002a95eaa000-0000002a95eb6000 rw-p 0000000000057000 08:02 81984     
/usr/lib64/evolution/1.4/libical-evolution.so.0.0.0


Comment 10 Chris Lee 2005-05-12 17:08:15 UTC
Cannot reproduce bug with new package (evolution-1.4.5-14/x86_64). Closing as
that is the errata candidate package right now.

Comment 11 Dave Malcolm 2005-05-13 00:22:49 UTC
From a comment in bug 144817: "You need to rebuild evolution using a newer
version of binutils. (x86_64 relocation tables in shared libs are unreliable
with the old one.)".

This may have been the cause, after all.

Comment 12 Tim Powers 2005-05-19 12:17:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-238.html



Note You need to log in before you can comment on or make changes to this bug.